{% extends 'profile/layouts/admin/admin_layout.html' %}
{% load static %}
{% block css %}

    <link rel="stylesheet" type="text/css" href="{% static 'admin/css/datatables/datatables.min.css' %}">
    <style>
        .img-bagss {
            position: absolute;
            top: 0;
            background-color: rgba(255, 0, 0, 0.8);
            text-align: center;
            font-weight: 500;
            line-height: 16px;
            padding: 5px 10px;
            color: #FFFFFF;
            border-radius: 5px 5px 5px 0;
        }
        .img-bagss .tag-bln { font-size: 15px; }

        .tdx{
            max-width: 400px;
            word-wrap: break-word;
            
        }
        .select2-container {
                z-index: 10000;
            }
            .select2-search__field {
    width: 100% !important;
}
    </style>

{% endblock css %}


{% block navbar %}
    {% include 'profile/layouts/admin/navbar.html' %}
{% endblock navbar %}

{% block main %}
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{% url 'profile:admin_home' %}">Home</a></li>
            <li class="breadcrumb-item active" aria-current="page">Data Pemerintahan</li>
        </ol>
    </nav>

    {% if messages %}
        {% for message in messages %}
            <div class="alert {{ message.tags }} my-2" role="alert">
                {{message}}
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>  
        {% endfor %}
    {% endif %}
    <div class="d-flex">
        <div class="flex-fill"> 
            <button type="button"  class="btn btn-primary mt-2 mb-4" data-toggle="modal" data-target="#tambahpemerintah"><i class="bi bi-pencil"></i> Tambah Data Pemerintahan</button>
        </div>
        <div class="flex-fill-right">
            <button type="button"  class="btn btn-danger mt-2 mb-4" data-toggle="modal" data-target="#arsip_datapu"><i class="bi bi-trash"></i> Data Pemerintahan Diarsipkan</button>
        </div>
    </div>     
   
    <div class="card shadow mb-5">
        <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between bg-gradient-primary">
            <h6 class="m-0 font-weight-bold text-white"><i class="fa fa-list"></i> Data Pemerintahan</h6>
            <div class="dropdown no-arrow">
                <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
                </a>
            </div>
        </div>
        <div class="card-body">
            <table class="table table-striped table-bordered table-responsive" id="table-list">
                <thead class="bg-primary text-white">
                    <tr>
                        <th scope="col" class="text-center">No</th>
                        <th>Wilayah</th>
                        <th>Tanggal Input</th>
                        <th>Luas Wilayah </th>
                        <th>Batas Wilayah</th>
                        <th>Jumlah & Pendidikan Aparatur Kampung</th>
                        <th>Jumlah & Pendidikan Aparatur BAMUSKAM</th>
                        <th>Uraian</th>
                        <th>Uraian</th>
                        <th scope="col" class="text-center">Aksi</th>
                    </tr>
                </thead>
                <tbody>
                    {% for item_pemerintahan in dt_pemerintahan_list %}
                        <tr>
                                <td>{{forloop.counter}}</td>
                                <td class="tdx">{{item_pemerintahan.kampung.distrik.title}}-{{item_pemerintahan.kampung.titles}} </td>
                                <td>{{item_pemerintahan.create_date}}</td>
                                <td>
                                   <h6>Luas Wilayah</h6>
                                   <ul>
                                        <li> Luas Wilayah           : {{item_pemerintahan.luas_wilayah}}</li>
                                        <li> Jumlah Luas Wilayah  RT              : {{item_pemerintahan.rt}} </li>
                                        <li> Jumlah Luas Wilayah  Jumlah Dusun    : {{item_pemerintahan.dusun}} </li>
                                   </ul> 
                                </td>
                                <td>
                                   <h6>Batas Wilayah</h6>
                                   <ul>
                                        <li>Sebelah Utara  :  {{item_pemerintahan.batas_utara}}</li>
                                        <li>Sebelah Selatan:  {{item_pemerintahan.selatan}}</li>
                                        <li>Sebelah Barat  :  {{item_pemerintahan.batas_barat}}</li>
                                        <li>Sebelah Timur  :  {{item_pemerintahan.batas_timur}}</li>
                                   </ul>
                                </td>
                                <td>
                                    <h6>Jumlah Aparatur Kampung :{{item_pemerintahan.jml_aparatur_kampung}} </h6>
                                    <b>Pendidikan aparat Kampung</b>
                                    <ul>
                                        <li>SD : {{item_pemerintahan.pendidikan_aparatur_sd}}</li>
                                        <li>SMP : {{item_pemerintahan.pendidikan_aparatur_smp}}</li>
                                        <li>SMA : {{item_pemerintahan.pendidikan_aparatur_sma}}</li>
                                        <li>D3 : {{item_pemerintahan.pendidikan_aparatur_d3}}</li>
                                        <li>S1 : {{item_pemerintahan.pendidikan_aparatur_s1}}</li>

                                    </ul>
                                </td>
                                <td>
                                    <h6>Jumlah BAMUSKAM :{{item_pemerintahan.jml_basmuskam}} </h6>
                                    <b>Pendidikan anggota BAMUSKAM</b>
                                    <ul>
                                        <li>SD : {{item_pemerintahan.pendidikan_bamuskam_sd}}</li>
                                        <li>SMP : {{item_pemerintahan.pendidikan_bamuskam_smp}}</li>
                                        <li>SMA : {{item_pemerintahan.pendidikan_bamuskam_sma}}</li>
                                        <li>D3 : {{item_pemerintahan.pendidikan_bamuskam_d3}}</li>
                                        <li>S1 : {{item_pemerintahan.pendidikan_bamuskam_s1}}</li>

                                    </ul>
                                </td>
                               <td>
                                    <ul>
                                        <li>Jumlah ketua RT : {{item_pemerintahan.jml_ketua_rt}}</li>
                                        <li>Jumlah Kepala Dusun : {{item_pemerintahan.jml_kepala_dusun}}</li>
                                        <li>Jumlah Babinkamtibmas : {{item_pemerintahan.jml_Babinkamtibmas}}</li>
                                        <li>Jumlah Babinsa : {{item_pemerintahan.jml_Babinsa}}</li>
                                        
                                    </ul>
                               </td>
                                <td>
                                    <ul>
                                        <li> Kantor Kampung  : {{item_pemerintahan.kantor}}   </li>
                                        <li> Status tanah Kantor Kampung  : {{item_pemerintahan.status_kantor}}  </li>
                                   
                                    </ul>
                                </td>
                                <td>
                                    <div class="d-flex align-items-center justify-content-center px-3 py-2 mt-2">
                                        <!-- <a class="btn btn-success btn-circle mr-3 mb-2" 
                                            href="#"
                                            data-toggle="tooltip" data-placement="top" title="Edit">
                                            <i class="bi bi-pencil"></i>
                                        </a> -->
                                        <button class="btn btn-primary" data-toggle="modal" data-target="#tambahpemerintah-{{item_pemerintahan.id}}"><span class="fa fa-edit"></span></button>
                                        <a href="#" class="btn btn-danger btn-circle mr-3 mb-2" 
                                        onclick="delete_('soft_delete', `{{ item_pemerintahan.kampung.titles }}`, '{{ item_pemerintahan.id }}')"
                                        data-toggle="tooltip" data-placement="top" title="Arsipkan">
                                            <i class="bi bi-archive"></i>
                                        </a>

                                        <div class="modal fade " id="tambahpemerintah-{{item_pemerintahan.id}}"  role="dialog" aria-labelledby="tambahpemerintah-{{item_pemerintahan.id}}" aria-hidden="true">
                                            <div class="modal-dialog modal-xl" role="document">
                                                <div class="modal-content ">
                                                    <div class="modal-header bg-gradient-primary text-white">
                                                        <h5 class="modal-title" id="arsip_perikanan"><i class="fa fa-pencil"></i> Edit Data Pemerintahan</h5>
                                                        <button class="close" type="button" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">×</span></button>
                                                    </div>
                                                    <div class="modal-body">
                                                        <form method ='post' enctype ="multipart/form-data" action="{% url 'profile:admin_pemerintahanedit' item_pemerintahan.id %}">
                                                                {% csrf_token %}
                                                                <div class="row no-gutters align-items-center">
                                                                    <div class="col-md-5">  
                                                                        <div class="col mr-2">
                                                                            <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                                                               Wilayah
                                                                            </div>
                                                                        </div>
                                                                        <div class="col-auto">
                                                                            <select name="kampung" id="mySelect2" class="form-control list_wilayah select2" required>
                                                                                <option value="">Kampung/Distrik</option>
                                                                                {% for data_kampung in datakampung_list %}
                                                                                    <option value="{{ data_kampung.id }}" {% if data_kampung.id == item_pemerintahan.kampung_id %}selected{% endif %}>
                                                                                        {{ data_kampung.distrik.title }}-{{ data_kampung.titles }}
                                                                                    </option>
                                                                                {% endfor %}    
                                                                            </select>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-md-4">
                                                                        <div class="col mr-2">
                                                                            <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                                                                Penanggungjawab
                                                                            </div>
                                                                        </div>
                                                                        <div class="col-auto">
                                                                            <select name="penanggungjawab" class="form-control" required>
                                                                                <option value="">Pilih Penanggungjawab</option>
                                                                                {% for datajawab in penanggungjawab %}
                                                                                    <option value="{{datajawab.id}}" {% if datajawab.id == item_pemerintahan.penanggungjawab_id %}selected{% endif %}>{{datajawab.nama}}</option>
                                                                                {% endfor %}
                                                                            </select>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-md-3">
                                                                        <div class="col mr-2">
                                                                            <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                                                                Tahun
                                                                            </div>
                                                                        </div>
                                                                        <div class="col-auto">
                                                                            <select name="tahun"  class="form-control" required>
                                                                                <option value="{{item_pemerintahan.tahun}}" {% if tahun == item_pemerintahan.tahun %}selected{% endif %}>{{item_pemerintahan.tahun}}</option>
                                                                                <option value="">Pilih Tahun</option>
                                                                                <option value="2020">2020</option>    
                                                                                <option value="2021">2021</option>    
                                                                                <option value="2022">2022</option>    
                                                                                <option value="2023">2023</option>    
                                                                                <option value="2024">2024</option>    
                                                                            </select>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <hr>
                                                                <div class="row">
                                                                    <div class="col-xl-4 col-md-3 mb-3">
                                                                        <div class="card border-bottom-primary shadow h-100 py-2 shadow">
                                                                            <div class="card-header bg-primary text-white">
                                                                               <span class="fa fa-map-marker"></span> Luas Wilayah
                                                                            </div>
                                                                            <div class="card-body">
                                                                                <div class="row">
                                                                                    <div class="form-group col-md-6">
                                                                                        <label for="jml_halte" > Luas Wilayah</label>
                                                                                    </div>
                                                                                    <div class="form-group col-md-6">
                                                                                        <input type="text"  placeholder=""
                                                                                            class="form-control"
                                                                                            name="luas_wilayah" value="{{item_pemerintahan.luas_wilayah}}"
                                                                                            required>
                                                                                        <input type="hidden"  placeholder=""
                                                                                            class="form-control"
                                                                                            name="id" value="{{item_pemerintahan.id}}"
                                                                                            required >
                                                                                    </div>
                                                                               </div>
                                                                                <div class="row">
                                                                                    <div class="form-group col-md-6">
                                                                                        <label for="jml_halte" > Luas Wilayah RT </label>
                                                                                    </div>
                                                                                    <div class="form-group col-md-6">
                                                                                        <input type="number"  placeholder=""
                                                                                            class="form-control"
                                                                                            name="rt"  value="{{item_pemerintahan.rt}}"
                                                                                            required>
                                                                                    </div>
                                                                               </div>
                                                                               <div class="row">
                                                                                    <div class="form-group col-md-6">
                                                                                        <label for="jml_halte" > Luas Wilayah Dusun </label>
                                                                                    </div>
                                                                                    <div class="form-group col-md-6">
                                                                                        <input type="number"  placeholder=""
                                                                                            class="form-control"
                                                                                            name="dusun" value="{{item_pemerintahan.dusun}}"
                                                                                            required>
                                                                                    </div>
                                                                                </div>
                                                                                <div class="row">
                                                                                    <div class="form-group col-md-6">
                                                                                        <label for="jml_halte" > Batas Wilayah Selatan </label>
                                                                                    </div>
                                                                                    <div class="form-group col-md-6">
                                                                                        <input type="text"  placeholder=""
                                                                                            class="form-control"
                                                                                            name="batas_selatan" value="{{item_pemerintahan.batas_selatan}}"
                                                                                            required>
                                                                                    </div>
                                                                                </div>
                                                                                <div class="row">
                                                                                    <div class="form-group col-md-6">
                                                                                        <label for="jml_halte" > Batas Wilayah Utara </label>
                                                                                    </div>
                                                                                    <div class="form-group col-md-6">
                                                                                        <input type="text"  placeholder=""
                                                                                            class="form-control"
                                                                                            name="batas_utara" value="{{item_pemerintahan.batas_utara}}"
                                                                                            required>
                                                                                    </div>
                                                                                </div>
                                                                                <div class="row">
                                                                                    <div class="form-group col-md-6">
                                                                                        <label for="jml_halte" > Batas Wilayah Barat </label>
                                                                                    </div>
                                                                                    <div class="form-group col-md-6">
                                                                                        <input type="text"  placeholder=""
                                                                                            class="form-control"
                                                                                            name="batas_barat" value="{{item_pemerintahan.batas_barat}}"
                                                                                            required>
                                                                                    </div>
                                                                                </div>
                                                                                <div class="row">
                                                                                    <div class="form-group col-md-6">
                                                                                        <label for="jml_halte" > Batas Wilayah Timur </label>
                                                                                    </div>
                                                                                    <div class="form-group col-md-6">
                                                                                        <input type="text"  placeholder=""
                                                                                            class="form-control"
                                                                                            name="batas_timur" value="{{item_pemerintahan.batas_timur}}"
                                                                                            required>
                                                                                    </div>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-xl-8 col-md-3 mb-3">
                                                                        <div class="card border-bottom-info shadow h-100 py-2 shadow">
                                                                            <div class="card-header bg-info text-white">
                                                                               <span class="fa fa-users"></span> Jumlah & Pendidikan Aparat Kampung
                                                                            </div>
                                                                            <div class="card-body">
                                                                               <div class="row">
                                                                                    <div class="form-group col-md-3">
                                                                                        <label for="jml_halte" > Jumlah Aparatur Kampung </label>
                                                                                    </div>
                                                                                    <div class="form-group col-md-6">
                                                                                        <input type="number"  placeholder=""
                                                                                            class="form-control"
                                                                                            name="jml_aparatur_kampung" value="{{item_pemerintahan.jml_aparatur_kampung}}"
                                                                                            required>
                                                                                    </div>
                                                                               </div>
                                                                               <div class="row">
                                                                                    <div class="form-group col-md-3">
                                                                                        <label for="jml_halte" >Pendidikan </label>
                                                                                    </div>
                                                                                    <div class="form-group col-md-9">
                                                                                        <div class="row">
                                                                                            <div class="col-md-2">
                                                                                                <label for="">SD</label>
                                                                                                <input type="number"  placeholder=""
                                                                                                    class="form-control"
                                                                                                    name="pendidikan_aparatur_sd" value="{{item_pemerintahan.pendidikan_aparatur_sd}}"
                                                                                                    required>
                                                                                            </div>
                                                                                            <div class="col-md-2">
                                                                                                <label for="">SMP</label>
                                                                                                <input type="number"  placeholder=""
                                                                                                    class="form-control"
                                                                                                    name="pendidikan_aparatur_smp" value="{{item_pemerintahan.pendidikan_aparatur_smp}}"
                                                                                                    required>
                                                                                            </div>
                                                                                            <div class="col-md-2">
                                                                                                <label for="">SMA</label>
                                                                                                <input type="number"  placeholder=""
                                                                                                    class="form-control"
                                                                                                    name="pendidikan_aparatur_sma" value="{{item_pemerintahan.pendidikan_aparatur_sma}}"
                                                                                                    required>
                                                                                            </div>
                                                                                            <div class="col-md-2">
                                                                                                <label for="">D3</label>
                                                                                                <input type="number"  placeholder=""
                                                                                                    class="form-control"
                                                                                                    name="pendidikan_aparatur_d3" value="{{item_pemerintahan.pendidikan_aparatur_d3}}"
                                                                                                    required>
                                                                                            </div>
                                                                                            <div class="col-md-2">
                                                                                                <label for="">S1</label>
                                                                                                <input type="number"  placeholder=""
                                                                                                    class="form-control"
                                                                                                    name="pendidikan_aparatur_s1" value="{{item_pemerintahan.pendidikan_aparatur_s1}}"
                                                                                                    required>
                                                                                            </div>
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                                <hr>
                                                                                <div class="row">
                                                                                    <div class="form-group col-md-3">
                                                                                        <label for="jml_halte" > Jumlah BAMUSKAM </label>
                                                                                    </div>
                                                                                    <div class="form-group col-md-6">
                                                                                        <input type="number"  placeholder=""
                                                                                            class="form-control"
                                                                                            name="jml_basmuskam" value="{{item_pemerintahan.jml_basmuskam}}"
                                                                                            required>
                                                                                    </div>
                                                                               </div>
                                                                               <hr>
                                                                                <div class="row">
                                                                                    <div class="form-group col-md-3">
                                                                                        <label for="jml_halte" >Pendidikan BAMUSKAM</label>
                                                                                    </div>
                                                                                    <div class="form-group col-md-9">
                                                                                        <div class="row">
                                                                                            <div class="col-md-2">
                                                                                                <label for="">SD</label>
                                                                                                <input type="number"  placeholder=""
                                                                                                    class="form-control"
                                                                                                    name="pendidikan_bamuskam_sd" value="{{item_pemerintahan.pendidikan_bamuskam_sd}}"
                                                                                                    required>
                                                                                            </div>
                                                                                            <div class="col-md-2">
                                                                                                <label for="">SMP</label>
                                                                                                <input type="number"  placeholder=""
                                                                                                    class="form-control"
                                                                                                    name="pendidikan_bamuskam_smp" value="{{item_pemerintahan.pendidikan_bamuskam_smp}}"
                                                                                                    required>
                                                                                            </div>
                                                                                            <div class="col-md-2">
                                                                                                <label for="">SMA</label>
                                                                                                <input type="number"  placeholder=""
                                                                                                    class="form-control"
                                                                                                    name="pendidikan_bamuskam_sma" value="{{item_pemerintahan.pendidikan_bamuskam_sma}}"
                                                                                                    required>
                                                                                            </div>
                                                                                            <div class="col-md-2">
                                                                                                <label for="">D3</label>
                                                                                                <input type="number"  placeholder=""
                                                                                                    class="form-control"
                                                                                                    name="pendidikan_bamuskam_d3" value="{{item_pemerintahan.pendidikan_bamuskam_d3}}"
                                                                                                    required>
                                                                                            </div>
                                                                                            <div class="col-md-2">
                                                                                                <label for="">S1</label>
                                                                                                <input type="number"  placeholder=""
                                                                                                    class="form-control"
                                                                                                    name="pendidikan_bamuskam_s1" value="{{item_pemerintahan.pendidikan_bamuskam_s1}}"
                                                                                                    required>
                                                                                            </div>
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                                <hr>
                                                                                <div class="row">
                                                                                    <div class="col-md-3">
                                                                                        <label for="">Jumlah ketua RT</label>
                                                                                        <input type="number"  placeholder=""
                                                                                            class="form-control"
                                                                                            name="jml_ketua_rt" value="{{item_pemerintahan.jml_ketua_rt}}"
                                                                                            required>
                                                                                    </div>
                                                                                    <div class="col-md-3">
                                                                                        <label for="">Jumlah Kepala Dusun</label>
                                                                                        <input type="number"  placeholder=""
                                                                                            class="form-control"
                                                                                            name="jml_kepala_dusun" value="{{item_pemerintahan.jml_kepala_dusun}}"
                                                                                            required>
                                                                                    </div>
                                                                                    <div class="col-md-3">
                                                                                        <label for="">Babinkamtibmas</label>
                                                                                        <input type="number"  placeholder=""
                                                                                            class="form-control"
                                                                                            name="jml_Babinkamtibmas" value="{{item_pemerintahan.jml_Babinkamtibmas}}"
                                                                                            required>
                                                                                    </div>
                                                                                    <div class="col-md-3">
                                                                                        <label for="">Babinsa</label>
                                                                                        <input type="number"  placeholder=""
                                                                                            class="form-control" value="{{item_pemerintahan.jml_Babinsa}}"
                                                                                            name="jml_Babinsa"
                                                                                            required>
                                                                                    </div>
                                                                                </div>
                                                                                <hr>
                                                                                <div class="row">
                                                                                    <div class="col-md-6">
                                                                                        <label for="">Kantor Kampung</label>
                                                                                        <input type="text"  placeholder=""
                                                                                            class="form-control"
                                                                                            name="kantor" value="{{item_pemerintahan.kantor}}"
                                                                                            required>
                                                                                    </div>
                                                                                    <div class="col-md-6">
                                                                                        <label for="">Status tanah Kantor Kampung</label>
                                                                                        <input type="text"  placeholder=""
                                                                                            class="form-control"
                                                                                            name="status_kantor" value="{{item_pemerintahan.status_kantor}}"
                                                                                            required>
                                                                                    </div>
                                                                                    
                                                                                </div>
                                                                                
                                                                                
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            <div class="modal-footer">
                                                                <button class="btn btn-primary" type="submit"><i class="fa fa-save"></i> Simpan</button>
                                                                <button class="btn btn-danger" type="button" data-dismiss="modal"><i class="fa fa-times"></i> Tutup</button>
                                                            </div>
                                                        </form>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </td>
                        </tr>
                   {% endfor %}
                </tbody>
            </table>
        </div>
    </div>

    <div class="modal fade " id="tambahpemerintah"  role="dialog" aria-labelledby="tambahpemerintah" aria-hidden="true">
        <div class="modal-dialog modal-xl" role="document">
            <div class="modal-content ">
                <div class="modal-header bg-gradient-primary text-white">
                    <h5 class="modal-title" id="arsip_perikanan"><i class="fa fa-pencil"></i> Input Data Pemerintahan</h5>
                    <button class="close" type="button" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">×</span></button>
                </div>
                <div class="modal-body">
                    <form method ='post' enctype ="multipart/form-data" action="{% url 'profile:admin_pemerintahan_create' %}">
                            {% csrf_token %}
                            <div class="row no-gutters align-items-center">
                                <div class="col-md-5">  
                                    <div class="col mr-2">
                                        <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                           Wilayah
                                        </div>
                                    </div>
                                    <div class="col-auto">
                                        <select name="kampung" id="mySelect2" class="form-control list_wilayah select2" required>
                                            <option value="">Kampung/Distrik</option>
                                            {% for data_kampung in  datakampung_list %}
                                                <option value="{{data_kampung.id}}">{{data_kampung.distrik.title}}-{{data_kampung.titles}}</option>
                                            {% endfor %}    
                                        </select>
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="col mr-2">
                                        <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                            Penanggungjawab
                                        </div>
                                    </div>
                                    <div class="col-auto">
                                        <select name="penanggungjawab" class="form-control" required>
                                            <option value="">Pilih Penanggungjawab</option>
                                            {% for datajawab in penanggungjawab %}
                                                <option value="{{datajawab.id}}">{{datajawab.nama}}</option>
                                            {% endfor %}
                                        </select>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="col mr-2">
                                        <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                            Tahun
                                        </div>
                                    </div>
                                    <div class="col-auto">
                                        <select name="tahun"  class="form-control" required>
                                            <option value="">Pilih Tahun</option>
                                            <option value="2020">2020</option>    
                                            <option value="2021">2021</option>    
                                            <option value="2022">2022</option>    
                                            <option value="2023">2023</option>    
                                            <option value="2024">2024</option>    
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <hr>
                            <div class="row">
                                <div class="col-xl-4 col-md-3 mb-3">
                                    <div class="card border-bottom-primary shadow h-100 py-2 shadow">
                                        <div class="card-header bg-primary text-white">
                                           <span class="fa fa-map-marker"></span> Luas Wilayah
                                        </div>
                                        <div class="card-body">
                                            <div class="row">
                                                <div class="form-group col-md-6">
                                                    <label for="jml_halte" > Luas Wilayah</label>
                                                </div>
                                                <div class="form-group col-md-6">
                                                    <input type="number"  placeholder=""
                                                        class="form-control"
                                                        name="luas_wilayah"
                                                        required>
                                                </div>
                                           </div>
                                            <div class="row">
                                                <div class="form-group col-md-6">
                                                    <label for="jml_halte" > Luas Wilayah RT </label>
                                                </div>
                                                <div class="form-group col-md-6">
                                                    <input type="number"  placeholder=""
                                                        class="form-control"
                                                        name="rt"
                                                        required>
                                                </div>
                                           </div>
                                           <div class="row">
                                                <div class="form-group col-md-6">
                                                    <label for="jml_halte" > Luas Wilayah Dusun </label>
                                                </div>
                                                <div class="form-group col-md-6">
                                                    <input type="number"  placeholder=""
                                                        class="form-control"
                                                        name="dusun"
                                                        required>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="form-group col-md-6">
                                                    <label for="jml_halte" > Batas Wilayah Selatan </label>
                                                </div>
                                                <div class="form-group col-md-6">
                                                    <input type="text"  placeholder=""
                                                        class="form-control"
                                                        name="batas_selatan"
                                                        required>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="form-group col-md-6">
                                                    <label for="jml_halte" > Batas Wilayah Utara </label>
                                                </div>
                                                <div class="form-group col-md-6">
                                                    <input type="text"  placeholder=""
                                                        class="form-control"
                                                        name="batas_utara"
                                                        required>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="form-group col-md-6">
                                                    <label for="jml_halte" > Batas Wilayah Barat </label>
                                                </div>
                                                <div class="form-group col-md-6">
                                                    <input type="text"  placeholder=""
                                                        class="form-control"
                                                        name="batas_barat"
                                                        required>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="form-group col-md-6">
                                                    <label for="jml_halte" > Batas Wilayah Timur </label>
                                                </div>
                                                <div class="form-group col-md-6">
                                                    <input type="text"  placeholder=""
                                                        class="form-control"
                                                        name="batas_timur"
                                                        required>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xl-8 col-md-3 mb-3">
                                    <div class="card border-bottom-info shadow h-100 py-2 shadow">
                                        <div class="card-header bg-info text-white">
                                           <span class="fa fa-users"></span> Jumlah & Pendidikan Aparat Kampung
                                        </div>
                                        <div class="card-body">
                                           <div class="row">
                                                <div class="form-group col-md-3">
                                                    <label for="jml_halte" > Jumlah Aparatur Kampung </label>
                                                </div>
                                                <div class="form-group col-md-6">
                                                    <input type="number"  placeholder=""
                                                        class="form-control"
                                                        name="jml_aparatur_kampung"
                                                        required>
                                                </div>
                                           </div>
                                           <div class="row">
                                                <div class="form-group col-md-3">
                                                    <label for="jml_halte" >Pendidikan </label>
                                                </div>
                                                <div class="form-group col-md-9">
                                                    <div class="row">
                                                        <div class="col-md-2">
                                                            <label for="">SD</label>
                                                            <input type="number"  placeholder=""
                                                                class="form-control"
                                                                name="pendidikan_aparatur_sd"
                                                                required>
                                                        </div>
                                                        <div class="col-md-2">
                                                            <label for="">SMP</label>
                                                            <input type="number"  placeholder=""
                                                                class="form-control"
                                                                name="pendidikan_aparatur_smp"
                                                                required>
                                                        </div>
                                                        <div class="col-md-2">
                                                            <label for="">SMA</label>
                                                            <input type="number"  placeholder=""
                                                                class="form-control"
                                                                name="pendidikan_aparatur_sma"
                                                                required>
                                                        </div>
                                                        <div class="col-md-2">
                                                            <label for="">D3</label>
                                                            <input type="number"  placeholder=""
                                                                class="form-control"
                                                                name="pendidikan_aparatur_d3"
                                                                required>
                                                        </div>
                                                        <div class="col-md-2">
                                                            <label for="">S1</label>
                                                            <input type="number"  placeholder=""
                                                                class="form-control"
                                                                name="pendidikan_aparatur_s1"
                                                                required>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <hr>
                                            <div class="row">
                                                <div class="form-group col-md-3">
                                                    <label for="jml_halte" > Jumlah BAMUSKAM </label>
                                                </div>
                                                <div class="form-group col-md-6">
                                                    <input type="number"  placeholder=""
                                                        class="form-control"
                                                        name="jml_basmuskam"
                                                        required>
                                                </div>
                                           </div>
                                           <hr>
                                            <div class="row">
                                                <div class="form-group col-md-3">
                                                    <label for="jml_halte" >Pendidikan BAMUSKAM</label>
                                                </div>
                                                <div class="form-group col-md-9">
                                                    <div class="row">
                                                        <div class="col-md-2">
                                                            <label for="">SD</label>
                                                            <input type="number"  placeholder=""
                                                                class="form-control"
                                                                name="pendidikan_bamuskam_sd"
                                                                required>
                                                        </div>
                                                        <div class="col-md-2">
                                                            <label for="">SMP</label>
                                                            <input type="number"  placeholder=""
                                                                class="form-control"
                                                                name="pendidikan_bamuskam_smp"
                                                                required>
                                                        </div>
                                                        <div class="col-md-2">
                                                            <label for="">SMA</label>
                                                            <input type="number"  placeholder=""
                                                                class="form-control"
                                                                name="pendidikan_bamuskam_sma"
                                                                required>
                                                        </div>
                                                        <div class="col-md-2">
                                                            <label for="">D3</label>
                                                            <input type="number"  placeholder=""
                                                                class="form-control"
                                                                name="pendidikan_bamuskam_d3"
                                                                required>
                                                        </div>
                                                        <div class="col-md-2">
                                                            <label for="">S1</label>
                                                            <input type="number"  placeholder=""
                                                                class="form-control"
                                                                name="pendidikan_bamuskam_s1"
                                                                required>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <hr>
                                            <div class="row">
                                                <div class="col-md-3">
                                                    <label for="">Jumlah ketua RT</label>
                                                    <input type="number"  placeholder=""
                                                        class="form-control"
                                                        name="jml_ketua_rt"
                                                        required>
                                                </div>
                                                <div class="col-md-3">
                                                    <label for="">Jumlah Kepala Dusun</label>
                                                    <input type="number"  placeholder=""
                                                        class="form-control"
                                                        name="jml_kepala_dusun"
                                                        required>
                                                </div>
                                                <div class="col-md-3">
                                                    <label for="">Babinkamtibmas</label>
                                                    <input type="number"  placeholder=""
                                                        class="form-control"
                                                        name="jml_Babinkamtibmas"
                                                        required>
                                                </div>
                                                <div class="col-md-3">
                                                    <label for="">Babinsa</label>
                                                    <input type="number"  placeholder=""
                                                        class="form-control"
                                                        name="jml_Babinsa"
                                                        required>
                                                </div>
                                            </div>
                                            <hr>
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <label for="">Kantor Kampung</label>
                                                    <input type="text"  placeholder=""
                                                        class="form-control"
                                                        name="kantor"
                                                        required>
                                                </div>
                                                <div class="col-md-6">
                                                    <label for="">Status tanah Kantor Kampung</label>
                                                    <input type="text"  placeholder=""
                                                        class="form-control"
                                                        name="status_kantor"
                                                        required>
                                                </div>
                                                
                                            </div>
                                            
                                            
                                        </div>
                                    </div>
                                </div>
                            </div>
                          
                            

                           
                           
                        <div class="modal-footer">
                            <button class="btn btn-primary" type="submit"><i class="fa fa-save"></i> Simpan</button>
                            <button class="btn btn-danger" type="button" data-dismiss="modal"><i class="fa fa-times"></i> Tutup</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    {% include 'profile/admin/pemerintahan/arsip.html' %}
{% endblock main %}

{% block footer %}
    {% include 'profile/layouts/admin/footer.html' %}
{% endblock footer %}

{% block scripts_bawah %}
    <script src="{% static 'admin/js/datatables/datatables.min.js' %}"></script>
    <script>
        
        $('#tambahpemerintah').on('shown.bs.modal', function () {
            $('#mySelect2').select2({
                theme: 'classic select2-bootstrap4-theme',
            });
        });

        // $('#mySelect2').select2({
        //     dropdownParent: $('#tambahpemerintah')
        //     });
            
   
        $(document).ready( function () {
            $('[data-tooltip="tooltip"]').tooltip();
            $('#table-list').DataTable();
            $('#table-archive').DataTable();
           
        });
        function restore_(nama, id){
                Swal.fire({
                    title: `Apakah anda yakin ingin memulihkan file ${nama}?`,
                    showCancelButton: true,
                    confirmButtonText: 'Pulihkan',
                    cancelButtonText: 'Batal',
                    }).then((result) => {
                    if (result.isConfirmed) {
                        $.ajax({
                            url: `/manage_panel/pemerintahan/restore/${id}`,
                            data: {},
                            dataType: "html",
                            timeout: 10000,
                            beforeSend: function() {
                                Swal.fire({
                                    title: 'Memproses.........',
                                    allowEscapeKey: false,
                                    allowOutsideClick: false,
                                    showCancelButton: false,
                                    showConfirmButton: false,
                                    onOpen: () => {
                                        swal.showLoading();
                                    }
                                });
                            },
                            success: function(response){
                                Swal.fire(`Distrik berhasil dipulihkan!`, '', 'success');
                                setTimeout(function(){
                                    window.location.href = "/manage_panel/pemerintahan/";
                                }, 2000); 
                            },
                            error: function (xhr, ajaxOptions, thrownError) {
                                Swal.fire(`Distrik gagal dipulihkan!`, '', 'error');
                            }
                        });
                        
                    }
                });
            }
            function delete_(action, nama, id){
                let pesan = action == 'soft_delete' ? "arsipkan" : "hapus";
                let confirmation = action == 'soft_delete' ? "Arsipkan" : "Hapus";
                Swal.fire({
                    title: `Apakah kamu yakin ingin meng${pesan} data ${nama}?`,
                    showCancelButton: true,
                    confirmButtonText: confirmation,
                    cancelButtonText: 'Batal',
                    
                    }).then((result) => {
                    if (result.isConfirmed) {
                        $.ajax({
                            url: `/manage_panel/pemerintahan/${action}/${id}`,
                            data: {},
                            dataType: "html",
                            timeout: 10000,
                            beforeSend: function() {
                                Swal.fire({
                                    title: 'Memproses.........',
                                    allowEscapeKey: false,
                                    allowOutsideClick: false,
                                    showCancelButton: false,
                                    showConfirmButton: false,
                                });
                                Swal.showLoading();
                            },
                            success: function(response){
                                Swal.fire(`Data Diarsipkan berhasil di${pesan}!`, '', 'success');
                                setTimeout(function(){
                                    window.location.href = "/manage_panel/pemerintahan/";
                                }, 2000); 
                            },
                            error: function (xhr, ajaxOptions, thrownError) {
                                Swal.fire(`Data Diarsipkan gagal di${pesan}!`, '', 'error');
                            }
                        });
                        
                    }
                });
            }
    </script>
{% endblock scripts_bawah %}